﻿Type=Activity
Version=2.52
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region
'Activity module
Sub Process_Globals
	Dim tmrAnimation As Timer
	Dim currentPanelBeforePaused As Int
	
End Sub

Sub Globals
	Dim sd As SlidingData 'The object that holds the data for SlidingPanels
	Dim btnLeft, btnRight, btnExit As Button
	Dim startX, startY As Float
	Dim SlidingDuration As Int
	SlidingDuration = 500
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Create the panels.
	'In this example we are just creating 8 "dummy" panels with different colors.
	'You can instead load a different layout to each panel.
	If FirstTime Then
	
	Activity.LoadLayout("gyncontext")
	End If
	
	Dim panels(6) As Panel
	For i = 0 To panels.Length - 1
		panels(i).Initialize("panels")
		panels(i).Color = Colors.RGB(Rnd(0, 255), Rnd(0, 255), Rnd(0, 255))
		Dim lbl As ImageView ' 'Panel 'Bitmap ' Label 'ImageView
'		lbl.Bitmap = LoadBitmap(File.DirAssets, "BCPage" & i & "jpg")   CHANGE To OBGYN
'		lbl.Initialize("")
		panels(i).AddView(lbl, 4dip, 2dip, 312dip, 430dip)
		Activity.AddView(panels(i), 4dip, 2dip, 312dip, 430dip) 'add the panel to the layout
		Activity.AddMenuItem("Panel #" & i, "Menu")
	Next
	'add the Left and Right button
	btnLeft.Initialize("Left")
	btnLeft.Text = "Left"
	btnLeft.TextSize = 10
	Activity.AddView(btnLeft, 10%x, 100%y - 55dip, 60dip, 50dip)'10%x, 100%y - 55dip, 100dip, 50dip 120, 520, 70, 50
	btnRight.Initialize("Right")
	btnRight.TextSize = 10
	btnRight.Text = "Right"
	Activity.AddView(btnRight, 30%x, 100%y - 55dip, 60dip, 50dip)'60%x, 100%y - 55dip, 100dip, 50dip left, top, width, height 200, 520, 70, 50
	btnExit.Initialize("Exit")
	btnExit.Text = "Exit"
	btnExit.TextSize = 10
	Activity.AddView(btnExit, 60%x, 100%y - 55dip, 60dip, 50dip)' 280, 520, 70, 50
	'*****************************
	'Initialize the SlidingData object and set the array of panels.
	'Then we call SlidingPanels.Initialize to prepare the animation objects.
	'The last call to ChangePanel brings the first panel.
	sd.Initialize
	sd.panels = panels
	SlidingPanelstest.Initialize(sd, SlidingDuration)
	sd.targetPanel = -1
	sd.currentPanel = currentPanelBeforePaused - 1
	ChangePanel(True) 'Current code expects the first call to be with Left = True.
End Sub
Sub Menu_Click
	Dim menu As String
	menu = Sender
	btnLeft.Enabled = False
	btnRight.Enabled = False
	btnExit.Enabled = False
	JumpToPanel(menu.SubString("Panel #".Length))
End Sub

Sub Left_Click
	ChangePanel(True)
End Sub

Sub Right_Click
	ChangePanel(False)
End Sub
Sub Exit_Click

	Activity.Finish
	Activity.LoadLayout("3SelectionList")
 	Return True

End Sub
'**** These two subs are requred for handling the sliding ***
Sub ChangePanel(Left As Boolean)
	'disable the buttons during the animation
	btnLeft.Enabled = False
	btnRight.Enabled = False
	'Call SlidingPanels.ChangePanel to actually change the panels.
	SlidingPanelstest.ChangePanel(sd, Left)
End Sub
Sub Animation1_AnimationEnd
	'This event is raised when the animation finishes. You should call SlidingPanels.AnimationEnd from this sub.
	SlidingPanelstest.AnimationEnd(sd)
	If sd.targetPanel >= 0 Then 
		tmrAnimation.Enabled = True
		Return 'we are still animating...
	End If
	'Enable the Left and Right buttons (unless there are no more panels).
	'If sd.currentPanel = sd.panels.Length - 1 Then btnLeft.Enabled = False Else btnLeft.Enabled = True
	'If sd.currentPanel = 0 Then btnRight.Enabled = False Else btnRight.Enabled = True
	btnLeft.Enabled = True
	btnRight.Enabled = True
End Sub
Sub tmrAnimation_Tick
	tmrAnimation.Enabled = False
	ContinueJumping
End Sub
'JumpToPanel can be used to navigate to a different panel which is not adjacent to the current one.
Sub JumpToPanel (Target As Int)
	sd.targetPanel = Target
	For i = 0 To 1
		sd.leftAnimations(i).Duration = SlidingDuration / 2
		sd.rightAnimations(i).Duration = SlidingDuration / 2
	Next
	ContinueJumping
End Sub
Sub ContinueJumping
	If sd.targetPanel < 0 OR sd.targetPanel = sd.currentPanel Then 
		sd.targetPanel = -1
		Animation1_AnimationEnd
		For i = 0 To 1
			sd.leftAnimations(i).Duration = SlidingDuration
			sd.rightAnimations(i).Duration = SlidingDuration
		Next
		Return
	End If
	SlidingPanelstest.ChangePanel(sd, sd.targetPanel > sd.currentPanel)
End Sub
Sub Panels_Touch (Action As Int, X As Float, Y As Float)
	Select Action
		Case Activity.ACTION_DOWN
			startX = X
			startY = Y
		Case Activity.ACTION_UP
			If Abs(Y - startY) > 20%y Then Return
			If X - startX > 30%x AND btnRight.Enabled = True Then 
				ChangePanel(False)
			Else If startX - X > 30%x AND btnLeft.Enabled = True Then
				ChangePanel(True)
			End If
	End Select
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed = False Then
		currentPanelBeforePaused = sd.currentPanel
	Else 
		currentPanelBeforePaused = 0
	End If
End Sub